package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConferenciaPendenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ConferenciaPendencia;

/**
 *
 * @author Wilian
 */
@Repository("conferenciaPendenteDAO")
public class ConferenciaPendenciaHibernateDAO extends GenericHibernateDAO<ConferenciaPendencia, Integer>
        implements ConferenciaPendenciaDAO {

    @Autowired
    public ConferenciaPendenciaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    @SuppressWarnings("unchecked")
    public List<ConferenciaPendencia> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        return c.list();
    }
}
